Public Class FormularzGłówny

    Private Function WielkieLitery(ByRef strDane As String)
        Return UCase(strDane)
    End Function

    Private Sub txtDane_TextChanged(sender As Object, e As EventArgs) Handles txtDane.TextChanged
        ' Uwaga: zmiana zawartości pola tekstowego powoduje,
        ' że kursor wraca na początek wiersza, co jest irytujące :)
        txtDane.Text = WielkieLitery(txtDane.Text)
    End Sub

End Class
